Skip to main content
The Prism V0 inference API is described by an OpenAPI 3.1 document:
  • Download openapi.yaml
  • Base URL: https://api.prisminference.com
  • Authentication for inference: Authorization: Bearer or x-api-key
Use the specification with API explorers, contract validators, and SDK generators. It includes:
  • POST /v1/chat/completions
  • POST /v1/responses
  • POST /v1/messages
  • POST /v1/messages/count_tokens
  • GET /
  • GET /health
  • GET /models
  • GET /models/{model}
  • GET /v1/models
  • GET /v1/models/{model}
Last modified on September 13, 2026